classification
Title: Clear .lst files for AIX
Type: enhancement Stage: resolved
Components: Build Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BTaskaya, David.Edelsohn, Michael.Felt, vstinner
Priority: normal Keywords: patch

Created on 2020-03-25 22:51 by BTaskaya, last changed 2020-03-30 16:15 by David.Edelsohn. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19169 merged BTaskaya, 2020-03-25 23:00
Messages (8)
msg365026 - (view) Author: Batuhan Taskaya (BTaskaya) * (Python triager) Date: 2020-03-25 22:51
AIX files stay even if we run make clean on the directory, I think they should be cleared
msg365033 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-03-26 00:15
What are these .lst files? What creates them?
msg365055 - (view) Author: Michael Felt (Michael.Felt) * Date: 2020-03-26 09:34
the XLC compiler has an option to create "listing" files. The content depends on the arguments passed to the xlc compilers.

From memory (as I always need to look them up) these include -qinfo and -qsource (plus arguments)

FYI: besides showing info such as macro substitution these are also the files that would include the generate assembly/machine instructions.

.lst files are not created by default (by Python configure and make). If they are there, there are a user generated file. As .lst files are created in the cwd (current working directory) I keep myself 'clean' by building out of tree.
msg365059 - (view) Author: Batuhan Taskaya (BTaskaya) * (Python triager) Date: 2020-03-26 10:50
> .lst files are not created by default (by Python configure and make).

They are an artifact when I configure with xlc (CC=xlc ./configure && make -j24), and as far as I know we already have some compiler-specific clear conditions.
msg365068 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-03-26 13:10
New changeset 1b6b0e78fef2549cc9b447cbededb638f7388e02 by Batuhan Ta┼čkaya in branch 'master':
bpo-40069: Clear out .lst files on make clean (GH-19169)
https://github.com/python/cpython/commit/1b6b0e78fef2549cc9b447cbededb638f7388e02
msg365069 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-03-26 13:11
Ok. I merged your PR.

I don't think that it's worth it to backport to 3.7 and 3.8. "git clean -fdx" can be used for stable branches to remove *all* files not tracked by Git (not only .lst files).
msg365301 - (view) Author: Michael Felt (Michael.Felt) * Date: 2020-03-30 11:09
FYI: IMHO it is artifact of the way an xlc compiler is setup. Maybe this is a new default (I see they changed the names of config files).

On my server (with xlc v11) I do not get them, but on a different server (with xlc v13) I do get .lst files.

So, seems it is now a good idea to have this.
msg365330 - (view) Author: David Edelsohn (David.Edelsohn) * Date: 2020-03-30 16:15
Likely somewhere in the Python configuration process it is probing a command line option that emits a .lst file.
History
Date User Action Args
2020-03-30 16:15:11David.Edelsohnsetmessages: + msg365330
2020-03-30 11:09:52Michael.Feltsetmessages: + msg365301
2020-03-26 13:11:00vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg365069

stage: patch review -> resolved
2020-03-26 13:10:10vstinnersetmessages: + msg365068
2020-03-26 10:50:56BTaskayasetmessages: + msg365059
2020-03-26 09:34:29Michael.Feltsetmessages: + msg365055
2020-03-26 00:15:55vstinnersetnosy: + vstinner
messages: + msg365033
2020-03-25 23:00:31BTaskayasetkeywords: + patch
stage: patch review
pull_requests: + pull_request18528
2020-03-25 23:00:00BTaskayasetnosy: + Michael.Felt
2020-03-25 22:51:43BTaskayacreate